package com.brilliance.isc.bo.model;


import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.*;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * Contract Group Guarantee
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Fcdgrp extends AbstractCommonVo{
    private Fcd rec;

    private Fct blk;

    private Giacbs cbs;

    private PtsptaVo apl;

    private Bch aplbch;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Fcd();
        }
        if (cbs == null){
            cbs = new Giacbs();
        }
        cbs.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
    }
}
